;
; EURAgeb Beispiel Rechnungsformular fuer EPSON kompatible Drucker
; -----------------------------------------------------------------------------
; (c) 1997 AnF Software Systems, Koeln
;
; Erklaerung:
; ===========
;
; 1.) Kommentarzeilen sind mit einem ";" als erstes Zeichen zu versehen
;
; 2.) Rechnungszeilen muessen mit "###" markiert werden.
;
; 3.) Folgende Systemvariablen knnen verwendet werden:
;
;     $DATUM$      Systemdatum (z.B. 04.09.97)
;     $ZEIT$       Systemzeit  (z.B. 15:22:33)
;     $SEITE$      Aktuelle Seite
;     $SEITEN$     Anzahl der zu druckenenden Seiten
;     $PROGRAMM$   Programmname und Version (z.B. EURAgeb 2.00)
;     $ESC$        wird durch ASC Zeichen 27 ersetzt siehe dazu Punkt 6.
;
; 4.) Folgende Auswertungsvariablen koennen verwendet werden:
;
;     $INIT$       Druckerinit fuer gewaehlten Drucker (z.B. ESC@)
;     $DATEI$      verwendete LOG-Datei (z.B. BEISPIEL)
;     $NST$        gewaehlte Nebenstelle(n) (z.B. 11 12 13)
;     $START$      Auswertungsstartdatum (z.B. 01.05.97)
;     $STARTZEIT$  Auswertungsstartzeit (z.B. 00:00)
;     $ENDE$       Auswertungsendedatum (z.B. 30.05.97)
;     $ENDEZEIT$   Auswertungsendezeit  (z.B. 23:59)
;     $PROJEKT$    Projektnummer (z.B. 12345)
;
; 5.) Es koennen (max. 10) Abfragevariablen z.B. fuer Name, Adresse
;     verwendet werden. Diese Variablen werden vor der Druckausgabe
;     in einem Dialog abgefragt.
;
;     Syntax: $[Vorbelegung:Laenge]$
;
;     z.B. $[Name:30]$
;          $[Strasse:40]$
;          $[Ort]$
;     Hinweis: Die Angabe der Laenge ist optional
;
; 6.) Bei der Verwendung von Drucksteuerzeichen werden
;     haeufig ASCII-Zeichen kleiner 32 verwendet.
;     Bitte entnehmen Sie die Bezeichnung der folgenden Tabelle:
;
;           +0    +1    +2    +3    +4    +5    +6    +7    +8    +9
;     
;       0  $NUL$ $SOH$ $STX$ $ETX$ $EOT$ $ENQ$ $ACK$ $BEL$ $BS$  $HT$
;      10  $LF$  $VT$  $FF$   $\$  $SO$  $SI$  $DLE$ $DC1$ $DC2$ $DC3$
;      20  $DC4$ $NAK$ $SYN$ $ETB$ $CAN$ $EM$  $SUB$ $ESC$ $FS$  $GS$
;      30  $RS$  $US$
;
;     z.B: ASCII-Code 27 = $ESC$
;          ASCII-Code 13 = $\$ ("Backslash")
;          ASCII-Code 12 = $FF$
;          ASCII-Code 0  = $NUL$
;
;  7.) Die letzte Zeile eines Formulars wird auf jede Seite gedruckt.
;      Die Zeilen zwischen der letzten "###" Zeile und vor der letzten
;      Zeile werden nur auf der letzten Seite gedruckt.
;
; =============================================================================
;
; Formular Anfang -------------------------------------------------------------
$INIT$
      $ESC$W$SOH$$ESC$E$ESC$GHotel Sonnenschein$ESC$W$NUL$$ESC$F$ESC$H        Gartenstadt, den $DATUM$
      $ESC$E$ESC$GSommerweg 21$ESC$F$ESC$H
      $ESC$E$ESC$G12345 Gartenstadt$ESC$F$ESC$H

      Rechnung fr $[Firma:40]$
                   $[Name:30]$
                   $[Strasse:30]$
                   $[Ort:30]$

          $ESC$E$ESC$GTelefonkostenabrechnung fr Rufnummer 01234/556677-$NST$ $ESC$F$ESC$H
          $ESC$-$SOH$ Abrechnungszeitraum$ESC$E$ESC$G $START$ $STARTZEIT$ $ESC$F$ESC$Hbis$ESC$E$ESC$G $ENDE$ $ENDEZEIT$ $ESC$F$ESC$H$ESC$-$NUL$
$ESC$M                            Datenauschnitt aus Datei: $DATEI$

            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###
            ###

            Im Gesamtbetrag sind 15% MwSt. enthalten.


            $ESC$-$SOH$                       $ESC$-$NUL$ Betrag dankend erhalten.

            $ESC$$SI$Seite $SEITE$ von $SEITEN$  $ZEIT$ $DATUM$  erstellt mit $PROGRAMM$ $ESC$$DC2$$FF$
; Formular Ende ---------------------------------------------------------------
