;
; EURAgeb Beispiel Rechnungsformular fuer HP Desk-/LaserJet kompatible Drucker
; -----------------------------------------------------------------------------
; (c) 1997 AnF Software Systems, Koeln
;
; Erklaerung:
; ===========
;
; 1.) Kommentarzeilen sind mit einem ";" als erstes Zeichen zu versehen
;
; 2.) Rechnungszeilen muessen mit "###" markiert werden.
;
; 3.) Folgende Systemvariablen knnen verwendet werden:
;
;     $DATUM$      Systemdatum (z.B. 04.09.97)
;     $ZEIT$       Systemzeit  (z.B. 15:22:33)
;     $SEITE$      Aktuelle Seite
;     $SEITEN$     Anzahl der zu druckenenden Seiten
;     $PROGRAMM$   Programmname und Version (z.B. EURAgeb 2.00)
;     $ESC$        wird durch ASC Zeichen 27 ersetzt siehe dazu Punkt 6.
;
; 4.) Folgende Auswertungsvariablen koennen verwendet werden:
;
;     $INIT$       Druckerinit fuer gewaehlten Drucker (z.B. ESC@)
;     $DATEI$      verwendete LOG-Datei (z.B. BEISPIEL)
;     $NST$        gewaehlte Nebenstelle(n) (z.B. 11 12 13)
;     $START$      Auswertungsstartdatum (z.B. 01.05.97)
;     $STARTZEIT$  Auswertungsstartzeit (z.B. 00:00)
;     $ENDE$       Auswertungsendedatum (z.B. 30.05.97)
;     $ENDEZEIT$   Auswertungsendezeit  (z.B. 23:59)
;     $PROJEKT$    Projektnummer (z.B. 12345)
;
; 5.) Es koennen (max. 10) Abfragevariablen z.B. fuer Name, Adresse
;     verwendet werden. Diese Variablen werden vor der Druckausgabe
;     in einem Dialog abgefragt.
;
;     Syntax: $[Vorbelegung:Laenge]$
;
;     z.B. $[Name:30]$
;          $[Strasse:40]$
;          $[Ort]$
;     Hinweis: Die Angabe der Laenge ist optional
;
; 6.) Bei der Verwendung von Drucksteuerzeichen werden
;     haeufig ASCII-Zeichen kleiner 32 verwendet.
;     Bitte entnehmen Sie die Bezeichnung der folgenden Tabelle:
;
;           +0    +1    +2    +3    +4    +5    +6    +7    +8    +9
;     
;       0  $NUL$ $SOH$ $STX$ $ETX$ $EOT$ $ENQ$ $ACK$ $BEL$ $BS$  $HT$
;      10  $LF$  $VT$  $FF$   $\$  $SO$  $SI$  $DLE$ $DC1$ $DC2$ $DC3$
;      20  $DC4$ $NAK$ $SYN$ $ETB$ $CAN$ $EM$  $SUB$ $ESC$ $FS$  $GS$
;      30  $RS$  $US$
;
;     z.B: ASCII-Code 27 = $ESC$
;          ASCII-Code 13 = $\$ ("Backslash")
;          ASCII-Code 12 = $FF$
;          ASCII-Code 0  = $NUL$
;
;  7.) Die letzte Zeile eines Formulars wird auf jede Seite gedruckt.
;      Die Zeilen zwischen der letzten "###" Zeile und vor der letzten
;      Zeile werden nur auf der letzten Seite gedruckt.
;
; =============================================================================
;
; Formular Anfang -------------------------------------------------------------
$INIT$
$ESC$(s3B    Hotel Sonnenschein$ESC$(s0B                           Gartenstadt, den $DATUM$
$ESC$(s3B    Frhlingsweg 21$ESC$(s0B
$ESC$(s3B    12345 Gartenstadt$ESC$(s0B

    Rechnung fr $[Firma:40]$
                 $[Name:30]$
                 $[Strasse:30]$
                 $[Ort:30]$
$ESC$&k0S
$ESC$(s3B       Telefonkostenabrechnung fr Rufnummer 01234/556677-$NST$ $ESC$(s0B
       $ESC$&d0D Abrechnungszeitraum$ESC$(s3B $START$ $STARTZEIT$ $ESC$(s0Bbis$ESC$(s3B $ENDE$ $ENDEZEIT$ $ESC$(s0B$ESC$&d0@
                         $ESC$&k2SDatenauschnitt aus Datei: $DATEI$
$ESC$&k4S$ESC$&l8D
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###
        ###

        Im Gesamtbetrag sind 15% MwSt. enthalten.


        $ESC$&d0D                       $ESC$&d0@ Betrag dankend erhalten.

        $ESC$&k2SSeite $SEITE$ von $SEITEN$  $ZEIT$ $DATUM$  erstellt mit $PROGRAMM$ $ESC$&k0S$ESC$&l6D $FF$
; Formular Ende ---------------------------------------------------------------
